# GpgFrontend Project: src/core/thread/CtxCheckTask.h Source File

CtxCheckTask.h
#ifndef GPGFRONTEND_CTXCHECKTRHEAD_H
#define GPGFRONTEND_CTXCHECKTRHEAD_H
#include "core/GpgFrontendCore.h"
#include "core/thread/Task.h"
namespace GpgFrontend::Thread {
class GPGFRONTEND_CORE_EXPORT CtxCheckTask : public Task {
Q_OBJECT
public:
CtxCheckTask();
signals:
void SignalGnupgNotInstall();
protected:
void Run() override;
};
} // namespace GpgFrontend::Thread
#endif // GPGFRONTEND_CTXCHECKTRHEAD_H
GpgFrontend::Thread::CtxCheckTask
Definition: CtxCheckTask.h:38
GpgFrontend::Thread::Task
Definition: Task.h:45
GpgFrontend::Thread
Definition: CtxCheckTask.h:33